DateTime::diff
DateTime::getLastErrors
DateTime
PHP Manual

# DateTime::format

(PHP 5 >= 5.2.0)

DateTime::format — Returns date formatted according to given format

### Description

Object oriented style

public string DateTime::format ( string `$format` )

Procedural style

string date_format ( DateTime `$object` , string `$format` )

Returns date formatted according to given format.

### Parameters

`object`

  Procedural style only: A DateTime object returned by date_create()

`format`

  Format accepted by date().

### Return Values

Returns the formatted date string on success or `FALSE` on failure.

### Examples

Example #1 DateTime::format() example

Object oriented style

`<?php
$date = new DateTime('2000-01-01');
echo $date->format('Y-m-d H:i:s');
?>`

Procedural style

`<?php
$date = date_create('2000-01-01');
echo date_format($date, 'Y-m-d H:i:s');
?>`

The above example will output:

    2000-01-01 00:00:00

### Notes

This method does not use locales. All output is in English.

### See Also

- date() - Format a local time/date

DateTime::diff
DateTime::getLastErrors
DateTime
PHP Manual